# Retrieve a version

To fetch a single version, send a `GET` request to the `/api/versions/:id` endpoint, where `id` is the ID of the resource that you want to retrieve.

## Request

**GET** <https://provisioning.commercelayer.io/ap&#x69;**/versions/:id>\*\*

### **Example**

{% tabs %}
{% tab title="Request" %}
The following request fetches the version identified by the id "xYZkjABcde":

```sh
curl -g -X GET \
  'https://provisioning.commercelayer.io/api/versions/xYZkjABcde' \
  -H 'Accept: application/vnd.api+json' \
  -H 'Authorization: Bearer {{your_access_token}}'
```

{% endtab %}

{% tab title="Response" %}
On success, the API responds with a `200 OK` status code, returning a single resource object:

```javascript
{
  "data": {
    "id": "xYZkjABcde",
    "type": "versions",
    "links": {
      "self": "https://provisioning.commercelayer.io/api/versions/xYZkjABcde"
    },
    "attributes": {
      "resource_type": "roles",
      "resource_id": "PzdJhdLdYV",
      "event": "update",
      "changes": {
        "name": [
          "previous",
          "new"
        ]
      },
      "who": {
        "application": {
          "id": "DNOPYiZYpn",
          "kind": "integration",
          "public": true
        }
      },
      "created_at": "2018-01-01T12:00:00.000Z",
      "updated_at": "2018-01-01T12:00:00.000Z",
      "reference": "ANY-EXTERNAL-REFEFERNCE",
      "reference_origin": "ANY-EXTERNAL-REFEFERNCE-ORIGIN",
      "metadata": {
        "foo": "bar"
      }
    }
  }
}
```

{% endtab %}
{% endtabs %}
